<?php 
require_once('scripts/sb_functions.php');
global $logged_in;
$logged_in = logged_in( true, false );
	
read_config();
sb_language( 'install00' );

html_header('',false);

function page_content() {
    global $lang_string, $user_colors;
		
    echo( '<h2>' . $lang_string[ 'title' ] . '</h2>' );
    echo( $lang_string[ 'instructions' ] . '<p />' );
		
?>
<form accept-charset="<?php echo( $lang_string[ 'html_charset' ] ); ?>,iso-8859-1,utf-8" action="install01.php" method="post">
			
<label for="blog_language"><?php echo( $lang_string[ 'blog_choose_language' ] ); ?></label><br />
<select name="blog_language">
<?php
    global $blog_config;
    $dir = 'languages/';
					
    clearstatcache();
    if ( is_dir($dir) ) {
	$dhandle = opendir($dir);
	if ( $dhandle ) {
	    $sub_dir = readdir( $dhandle );
	    while ( $sub_dir ) {
		if ( is_dir( $dir . $sub_dir . '/' ) == true && $sub_dir != '.' && $sub_dir != '..' ) {
		    $lang_dir = $sub_dir;
		    $lang_name = sb_read_file( $dir . $sub_dir . '/id.txt' );
		    if ( $lang_name ) {
			$str = '<option value="' . $lang_dir . '"';
			if ( $blog_config[ 'blog_language' ] == $lang_dir ) {
			    $str = $str . ' selected="selected"';
			}
			$str = $str . '>' . $lang_name . '</option>';
			
			echo( $str );
		    }
		}
		$sub_dir = readdir( $dhandle );
	    }
	}
	closedir( $dhandle );
    }
?>
</select><p />
<input type="submit" name="submit" value="<?php echo( $lang_string[ 'submit_btn' ] ); ?>" />
</form>
<?php 

}

theme_pagelayout();
html_footer();


?>

